<template>
    <div v-for="(it, idx) in objToArr(paramInfo)" :key="idx" style="word-break: break-all;">
        <span style="color:#00E5FF;font-weight: bold;">{{ it.name }}</span> :
        <span style="color: #283593;">{{ it.value }}</span>
    </div>
</template>

<script setup>
const props = defineProps({
    paramInfo: {
        type: Object,
        require: true,
        default: null
    }
})
const objToArr = obj => {
    let arr = [];
    if (obj != null) {
        for (let k in obj) {
            let v = obj[k];
            if (k != 'selected') {
                if (v['value']) {
                    arr.push({ name: k, value: v['value'] })
                } else {
                    arr.push({ name: k, value: v })

                }
            }
        }
    }
    return arr;
}
</script>
<style lang='scss'></style>